---
title: "Historical contract: Edit Delivery Option"
description: "Historical Ordering.co API contract for PUT /delivery_options/{delivery_option_id}, kept for reference. Use the current API reference for new integrations."
canonical: https://docs.ordering.co/api-reference/guides/history/edit-delivery-option/
---

# Historical contract: Edit Delivery Option

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Edit Delivery Option

This API endpoint is used to edit a delivery option

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/delivery_options/PUT/delivery_options/%7Bdelivery_option_id%7D)

## Parameters

```json
[
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  },
  {
    "name": "delivery_option_id",
    "in": "path",
    "schema": {
      "type": "string"
    },
    "required": true
  }
]
```

## Request body

```json
{
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "delivery_type_id": {
            "type": "integer",
            "format": "int32"
          },
          "enabled": {
            "type": "boolean"
          }
        }
      }
    }
  }
}
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": false,\n  \"result\": {\n    \"id\": 34,\n    \"name\": \"<redacted-personal>\",\n    \"delivery_type_id\": 1,\n    \"enabled\": false,\n    \"created_at\": \"2022-02-10 22:35:53\",\n    \"updated_at\": \"2022-02-10 22:37:21\",\n    \"deleted_at\": null\n  }\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": false,
              "default": true
            },
            "result": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "integer",
                  "example": 34,
                  "default": 0
                },
                "name": {
                  "type": "string",
                  "example": "<redacted-personal>"
                },
                "delivery_type_id": {
                  "type": "integer",
                  "example": 1,
                  "default": 0
                },
                "enabled": {
                  "type": "boolean",
                  "example": false,
                  "default": true
                },
                "created_at": {
                  "type": "string",
                  "example": "2022-02-10 22:35:53"
                },
                "updated_at": {
                  "type": "string",
                  "example": "2022-02-10 22:37:21"
                },
                "deleted_at": {}
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  },
  "401": {
    "description": "401",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": ""
          }
        }
      }
    }
  }
}
```
